Wt: Wt::EventSignalBase Class Reference

Wt 3.3.0

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions
Wt::EventSignalBase Class Reference
Signal/slot system

Abstract base class of an event signal. More...

Inheritance diagram for Wt::EventSignalBase:
[legend]

List of all members.

## Public Member Functions
const char * | name () const
| Returns the event name.
virtual bool | isConnected () const
| Returns whether this signal is connected.
void | preventDefaultAction (bool prevent=true)
| Prevents the default browser action.
bool | defaultActionPrevented () const
| Returns whether the default browser action is prevented.
void | preventPropagation (bool prevent=true)
| Prevents event propagation.
bool | propagationPrevented () const
| Returns whether event propagation is prevented.

## Detailed Description

Abstract base class of an event signal.

An event signal is directly associated with a user-interface generated event.

## Member Function Documentation

bool Wt::EventSignalBase::defaultActionPrevented | ( |  | ) | const

Returns whether the default browser action is prevented.

See also:
  preventDefaultAction()

bool Wt::EventSignalBase::isConnected | ( |  | ) | const`[virtual]`

Returns whether this signal is connected.

Returns true when the signal was connected to to at least one slot.

Implements Wt::SignalBase.

Reimplemented in Wt::EventSignal< E >, Wt::JSignal< A1, A2, A3, A4, A5, A6 >, Wt::JSignal< Coordinate >, Wt::JSignal<>, Wt::JSignal< std::string, int >, Wt::JSignal< std::string >, Wt::JSignal< std::string, std::string, WMouseEvent, struct NoClass, struct NoClass, struct NoClass >, Wt::JSignal< int, int >, Wt::JSignal< int >, Wt::JSignal< std::string, std::string, std::string, std::string, WMouseEvent >, Wt::JSignal< void >, Wt::JSignal< int, int, std::string, std::string, WMouseEvent >, Wt::JSignal< std::string, int, std::string >, Wt::JSignal< bool >, Wt::JSignal< int, int, int, int >, and Wt::JSignal< std::string, std::string >.

const char* Wt::EventSignalBase::name | ( |  | ) | const

Returns the event name.

The event name is implementation-defined.

Reimplemented in Wt::JSignal< A1, A2, A3, A4, A5, A6 >, Wt::JSignal< Coordinate >, Wt::JSignal<>, Wt::JSignal< std::string, int >, Wt::JSignal< std::string >, Wt::JSignal< std::string, std::string, WMouseEvent, struct NoClass, struct NoClass, struct NoClass >, Wt::JSignal< int, int >, Wt::JSignal< int >, Wt::JSignal< std::string, std::string, std::string, std::string, WMouseEvent >, Wt::JSignal< void >, Wt::JSignal< int, int, std::string, std::string, WMouseEvent >, Wt::JSignal< std::string, int, std::string >, Wt::JSignal< bool >, Wt::JSignal< int, int, int, int >, and Wt::JSignal< std::string, std::string >.

void Wt::EventSignalBase::preventDefaultAction | ( | bool | prevent = `true` | ) |

Prevents the default browser action.

Use this method to prevent the default browser action associated with this event.

See also:
  setPreventPropagation()

void Wt::EventSignalBase::preventPropagation | ( | bool | prevent = `true` | ) |

Prevents event propagation.

Use this method to prevent that the event propagates further to its ancestors.

See also:
  preventDefaultAction()

bool Wt::EventSignalBase::propagationPrevented | ( |  | ) | const

Returns whether event propagation is prevented.

See also:
  preventPropagation()

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator